Subject: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is

From: Jim Meyering <[email-masked]>
Date: Mon, 03 Sep 2012 10:48:39 +0200

Alan Curry wrote:
> Jim Meyering writes:
>> Alan Curry wrote:
>>
>> > rm -rf $PWD, meaning basically the same thing as rm -rf ., works, and leaves
>>
>> If you use that, in general you would want to add quotes,
>> in case there are spaces or other shell meta-characters:
>>
>>     rm -rf "$PWD"
>
> Well, when I do it I'm in zsh which has fixed that particular Bourne shell
> design error.

I use zsh on the command line, too (Go zsh! :-), but few have the luxury
of being able to target zsh as their sole bourne-like shell interpreter.